Summary
Get Trigger
Description
Get a Trigger.
Route
GET /operations-manager/triggers/:id
Roles
admin
engineering
apiread
viewer
operations
Parameters
DetailsExampleSchema
| Name |
Type |
Required |
Description |
| id |
string |
yes |
The id of the Trigger to get. |
Copied to Clipboard
{
"type": "object",
"properties": {},
"required": [],
"additionalProperties": false
}
Return
DetailsExampleSchema
| Name |
Type |
Description |
| result |
object |
The requested Trigger. |
Copied to Clipboard
{
"message": "Successfully imported 3 of 4 documents",
"data": {
"name": "myCoolDocumentName",
"description": "Some helpful information about the document",
"type": "endpoint",
"enabled": true,
"actionType": "automations",
"actionId": "2003d8abcddfded49ac0d359",
"lastExecuted": null,
"createdBy": null,
"created": "2002-07-16T16:13:03.526Z",
"lastUpdatedBy": "nostrud occaecat eu cillum Duis",
"lastUpdated": "1949-08-06T16:52:20.502Z",
"verb": "POST",
"routeName": "e3O5Q2bCqbC",
"schema": null,
"_id": "79508adddaaff00ebc29f24e",
"jst": null,
"migrationVersion": -57691659
}
}